package com.ruoyi.business.domain;

import java.util.List;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

/**
 * 设备模型对象 hw_device_mode
 * 
 * @author xins
 * @date 2023-09-04
 */
public class HwDeviceMode extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 设备模型ID */
    private Long deviceModeId;

    /** 设备模型名称 */
    @Excel(name = "设备模型名称")
    private String deviceModeName;

    /** 租户ID，关联hw_tenant的tenant_id */
    @Excel(name = "租户ID，关联hw_tenant的tenant_id")
    private Long tenantId;

    /** 所属场景，关联hw_scene表的scene_id字段 */
    @Excel(name = "所属场景，关联hw_scene表的scene_id字段")
    private Long sceneId;

    /** 语言code,关联表hw_language的language_code字段 */
    @Excel(name = "语言code,关联表hw_language的language_code字段")
    private String languageCode;

    /** 定位标识（1：是，0：否） */
    @Excel(name = "定位标识", readConverterExp = "1=：是，0：否")
    private String gpsFlag;

    /** 设备模型状态（1：启用，9：删除） */
    @Excel(name = "设备模型状态", readConverterExp = "1=：启用，9：删除")
    private String deviceModeStatus;

    /** 是否通用物模型（1、是，0：否） */
    @Excel(name = "是否通用物模型", readConverterExp = "1=、是，0：否")
    private String commonFlag;

    /** 模型分类（在平台字典数据表中定义） */
    @Excel(name = "模型分类", readConverterExp = "在=平台字典数据表中定义")
    private Long modeClassfication;

    /** 设备模型图片地址 */
    @Excel(name = "设备模型图片地址")
    private String deviceModePic;

    /** 预留字段，数据校验级别 */
    @Excel(name = "预留字段，数据校验级别")
    private String dataVerifyLevel;

    /** 预留字段 */
    @Excel(name = "预留字段")
    private String deviceModeField;

    /** 设备模型功能信息 */
    private List<HwDeviceModeFunction> hwDeviceModeFunctionList;

    public void setDeviceModeId(Long deviceModeId) 
    {
        this.deviceModeId = deviceModeId;
    }

    public Long getDeviceModeId() 
    {
        return deviceModeId;
    }
    public void setDeviceModeName(String deviceModeName) 
    {
        this.deviceModeName = deviceModeName;
    }

    public String getDeviceModeName() 
    {
        return deviceModeName;
    }
    public void setTenantId(Long tenantId) 
    {
        this.tenantId = tenantId;
    }

    public Long getTenantId() 
    {
        return tenantId;
    }
    public void setSceneId(Long sceneId) 
    {
        this.sceneId = sceneId;
    }

    public Long getSceneId() 
    {
        return sceneId;
    }
    public void setLanguageCode(String languageCode) 
    {
        this.languageCode = languageCode;
    }

    public String getLanguageCode() 
    {
        return languageCode;
    }
    public void setGpsFlag(String gpsFlag) 
    {
        this.gpsFlag = gpsFlag;
    }

    public String getGpsFlag() 
    {
        return gpsFlag;
    }
    public void setDeviceModeStatus(String deviceModeStatus) 
    {
        this.deviceModeStatus = deviceModeStatus;
    }

    public String getDeviceModeStatus() 
    {
        return deviceModeStatus;
    }
    public void setCommonFlag(String commonFlag) 
    {
        this.commonFlag = commonFlag;
    }

    public String getCommonFlag() 
    {
        return commonFlag;
    }
    public void setModeClassfication(Long modeClassfication) 
    {
        this.modeClassfication = modeClassfication;
    }

    public Long getModeClassfication() 
    {
        return modeClassfication;
    }
    public void setDeviceModePic(String deviceModePic) 
    {
        this.deviceModePic = deviceModePic;
    }

    public String getDeviceModePic() 
    {
        return deviceModePic;
    }
    public void setDataVerifyLevel(String dataVerifyLevel) 
    {
        this.dataVerifyLevel = dataVerifyLevel;
    }

    public String getDataVerifyLevel() 
    {
        return dataVerifyLevel;
    }
    public void setDeviceModeField(String deviceModeField) 
    {
        this.deviceModeField = deviceModeField;
    }

    public String getDeviceModeField() 
    {
        return deviceModeField;
    }

    public List<HwDeviceModeFunction> getHwDeviceModeFunctionList()
    {
        return hwDeviceModeFunctionList;
    }

    public void setHwDeviceModeFunctionList(List<HwDeviceModeFunction> hwDeviceModeFunctionList)
    {
        this.hwDeviceModeFunctionList = hwDeviceModeFunctionList;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("deviceModeId", getDeviceModeId())
            .append("deviceModeName", getDeviceModeName())
            .append("tenantId", getTenantId())
            .append("sceneId", getSceneId())
            .append("languageCode", getLanguageCode())
            .append("gpsFlag", getGpsFlag())
            .append("deviceModeStatus", getDeviceModeStatus())
            .append("commonFlag", getCommonFlag())
            .append("modeClassfication", getModeClassfication())
            .append("deviceModePic", getDeviceModePic())
            .append("dataVerifyLevel", getDataVerifyLevel())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("deviceModeField", getDeviceModeField())
            .append("hwDeviceModeFunctionList", getHwDeviceModeFunctionList())
            .toString();
    }
}
